Groovy 1.7.10

## groovy.util
[Groovy] Class JavadocAssertionTestBuilder

    java.lang.Object
      groovy.util.JavadocAssertionTestBuilder

    class JavadocAssertionTestBuilder
    extends Object

`JavadocAssertionTestBuilder` will dynamically create a test cases from Groovy assertions placed within the Javadoc comments of a source file. Assertions should be placed within an html tag with a `class="groovyTestCase"` attribute assignment. Example:

    <pre class="groovyTestCase"> assert "example".size() == 7 </pre>

Authors:
  Merlyn Albery-Speyer

Method Summary
`Class` | `buildTest(String filename, String code)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### buildTest

    Class buildTest(String filename, String code)

Copyright © 2003-2010 The Codehaus. All rights reserved.